RDKit: ForceFields::MMFF::MMFFBndkCollection Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ForceFields::MMFF::MMFFBndkCollection Class Reference

`#include <Params.h>`

## Public Member Functions
const MMFFBond * | operator() (const int atomicNum, const int nbrAtomicNum) const
| Looks up the parameters for a particular key and returns them.
| MMFFBndkCollection (std::string mmffBndk="")

## Public Attributes
std::vector< MMFFBond > | d_params
| the parameter vector
std::vector< std::uint8_t > | d_iAtomicNum
| atomic number vector for atom i
std::vector< std::uint8_t > | d_jAtomicNum
| atomic number vector for atom j

## Detailed Description

Definition at line 375 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## ◆ MMFFBndkCollection()

ForceFields::MMFF::MMFFBndkCollection::MMFFBndkCollection | ( | std::string | mmffBndk = "" | ) |

References d_params.

## Member Function Documentation

## ◆ operator()()

const MMFFBond * ForceFields::MMFF::MMFFBndkCollection::operator() | ( | const int | atomicNum,
|  | const int | nbrAtomicNum ) const
| inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFBndk object, NULL on failure.

Definition at line 381 of file MMFF/Params.h.

References d_iAtomicNum, d_jAtomicNum, and d_params.

## Member Data Documentation

## ◆ d_iAtomicNum

std::vector<std::uint8_t> ForceFields::MMFF::MMFFBndkCollection::d_iAtomicNum

atomic number vector for atom i

Definition at line 422 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_jAtomicNum

std::vector<std::uint8_t> ForceFields::MMFF::MMFFBndkCollection::d_jAtomicNum

atomic number vector for atom j

Definition at line 423 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_params

std::vector<MMFFBond> ForceFields::MMFF::MMFFBndkCollection::d_params

the parameter vector

Definition at line 421 of file MMFF/Params.h.

Referenced by MMFFBndkCollection(), and operator()().

The documentation for this class was generated from the following file:

- MMFF/Params.h